Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Webhooks

List Webhooks

GET
/v1/webhooks

Returns a paginated list of webhooks.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

active?boolean

Filters resources by active.

method?string

Filters resources by method.

method[in]?string

Filters by any of the supplied method values.

limit?integer

Maximum number of resources to return.

Default10
Range0 <= value <= 100
page_token?string

Opaque token returned by a previous page request.

Length1 <= length

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/webhooks"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "target_url": "string",      "event": "contact_details.updated",      "method": "GET",      "active": true,      "headers": {        "property1": null,        "property2": null      },      "fields": [        "string"      ],      "api_version": "legacy",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_page_url": "string",  "previous_page_url": "string"}